Subject: Re: QOS Routing - high level last. Oops.

From: [email-masked] (James E. [Jed] Donnelley)
Date: Thu, 4 Apr 1996 18:04:19 -0800

>WDM or not - you will need some QoS controls inside the network.
>Conjecture: as the pipe grows its very likely that
>the required QoS controls inside the network grows too.
>Of course, that is for networks which choose to
>distinguish per-flow QoS.

This is what I was referring to when I said that I thought
QoS mechanisms could become more of a liability than
a help as the available bandwidth increases.  Maybe
per-flow QoS for audio/video makes sense with some
sort of hybrid link level QoS for data, but I really
don't see it.

>> With enough bandwidth I don't think I need QoS.
>
>Ditto.

It will be interesting to see which comes first -
the needed bandwidth or QoS.  Somehow I have the
feeling that QoS and rate (or quality) based
charging come hand in hand.  Since I tend to think
rate or quality based charging will gradually keep
being forced out, I don't see the future for QoS
mechanisms.  QoS has always seemed to me to have
more appeal than it is worth.  If you don't have
enough bandwidth, QoS or no QoS, somebody is going
to be unhappy.  With the needed bandwidth you don't
need QoS. On mother's day I would be happier cutting
down on quality but getting through than getting a
circuit busy signal.

Regarding the note from [email-masked] (Sassan Pejhan):

>I'm not so sure about this one. Seems to me that the golden rule about
>disk space applies to bandwidth too: no matter how much you have, it's
>90% utilized -- hence the need for QoS.

This golden rule used to apply to CPU cycles also, but
I don't think it does any more.  Sure it is always nice
to have more, but they are no where near 90% utilized.
I guess it is an open question as to which model
applies.  I am not even sure that the disk (storage) space
situation will continue.  I am finding that except
for the management issue, I can easily buy more disk
storage now than I need.  $100-$150 per Gig. today, what
tomorrow?  Even disk space per dollar seems to be growing
more slowly than the growth in available bandwidth
that I speculated on.

and on:

>...That's 21.6 Gbits of raw data. Increase it by...
and
>...throw in a number of high quality super-HDTV
>resolution (1600 x 2000 is it?) video streams in the mix, plus all the
>other usual Internet traffic and MBone broadcasts and hundreds of
>simultaneous voice sessions...

Of course I was talking about 100Gb/sec PER fiber by the
time we get to that scenario.  However, I take your point.
The question I ask is what is the home/office port speed
that is delivering/accepting all this data?  I would
guess that we are averaging around 28.8 Kb/sec today
(many less and a few much more).  Things are bad, but
there is a pretty good match between all those relatively
low speed ports and the backbone bandwidth.

Up that to say 1 Mb/sec per port average (e.g. S-CDMA,
IEEE 802.14, high speed telephone modems, etc.).  Such an
increase to 1 Mb/sec port speed and another factor
of 10 in new users and we are at 400x increase in needed
bandwidth.  Except for the electronic aspects, I expect
this increase can be accomodated.  The increase from
T1/T3 (say 10 Mb/sec average now) to OC48 will
get a factor of 250 - pretty close.  I would think
that infrastructure increases (or at least increases
in the amount of existing infrastructure devoted to
data) could make up the rest.

It would seem that the next increase in port speed
to say 50Mb/sec or 100Mb/sec and another factor of
10 in users would require WDM and/or substantially
more fiber, but I can't even speculate that far out.
It may be quite a few years before any but a few
ports are running over a few Mb/sec.

In Sassan's radiology example, no lossy compression is assumed,
but does that mean no lossless compression?  I would
think that even LZ compression would get you a factor
of 4 to 10.  So let's say your 20Gb is down to 5 Gb.
At 1Mb/sec that will take about an hour and a half
(if I did my arithmatic correctly) to transfer.
Better than Fed Ex, but not exactly blazing.  Still,
do we expect to get better than 1Mb/sec into the
"NII" in the 3-5 year period?  Perhaps for some special
users yes.  Just as some have T3 lines into the NII
now.  How many of us actually get T3 transfer rates,
however...

At 6-10 years out if you are at 50Mb/sec then
this transfer takes a couple of minutes.  Not too bad.

I find it interesting that such important high level
architectural issues (e.g. to QoS or not to QoS) are so
open for debate at this point.  However, perhaps it
is best not to talk about them so much and just work on
the alternative approaches until some become the clear
winners.  As long as nobody thinks there is a clear winner
yet...  And if they do?  Well, as long as it is their money
an not mine...  Back to your regularly scheduled
technical discussion.

P.S. I was inadvertently responsible for a duplicate
of my previous message.  Apologies.  No need to suggest
I get off of this discussion, I am already off and will
continue only privately afterward.

--Jed   http://www-atp.llnl.gov/atp/jed-signature.html